VME Intensity Monitor - Support #10481
Milestone # 10477 (New): ANUB Startup
Feature # 10478 (Closed): 10477 ANUB: Set DCCT Data Source
10477 10478 ANUB: Provide Coherent DCCT Data Access
10/10/2015 12:56 PM - Roger Tokarek

Status: Closed Start date: 10/10/2015
Priority: High Due date: 10/10/2015
Assignee: Roger Tokarek % Done: 100%
Category: Estimated time: 3.00 hours
Target version: Spent time: 5.00 hours
Description

Current data register access in DcctDrv is incoherent and jumbled. Provide a single point of entry, coherent with other code.

History

#1 - 10/10/2015 02:40 PM - Roger Tokarek
- % Done changed from 0 to 40

Implemented code to match getintensity() in torDrvClass using a similar template function. Not compiling at this time.
Remaining work:

* Make compile.
e Confirm registers.
* Remove old register access code, confusing.

#2 - 10/11/2015 10:49 AM - Roger Tokarek
- Subject changed from 104778 Provide Coherent DCCT Data Access to 10478 SST: Provide Coherent DCCT Data Access

#3 - 10/11/2015 10:49 AM - Roger Tokarek
- Subject changed from 10478 SST: Provide Coherent DCCT Data Access to 10478 ANUB SST: Provide Coherent DCCT Data Access

#4 - 10/11/2015 10:54 AM - Roger Tokarek
- Subject changed from 10478 ANUB SST: Provide Coherent DCCT Data Access to 10477 10478 ANUB SST: Provide Coherent DCCT Data Access

#5 - 10/11/2015 10:57 AM - Roger Tokarek
- Subject changed from 10477 10478 ANUB SST: Provide Coherent DCCT Data Access to 10477 10478 ANUB: Provide Coherent DCCT Data Access

#6 - 10/11/2015 09:28 PM - Roger Tokarek
- % Done changed from 40 to 90

Improved data access code, now compiles.
Remaining work:

e Confirm registers.
¢ Remove old register access code, confusing.

#7 - 08/02/2016 02:57 PM - Roger Tokarek
- Status changed from New to Closed

- % Done changed from 90 to 100
